<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.sl.draw.Drawable.DrawableHint (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.sl.draw.Drawable.DrawableHint (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
               title="class in org.apache.poi.sl.draw">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/draw/class-use/Drawable.DrawableHint.html"
               target="_top">Frames</a></li>
        <li><a href="Drawable.DrawableHint.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.sl.draw.Drawable.DrawableHint" class="title">Uses of Class<br>org.apache.poi.sl.draw.Drawable.DrawableHint
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.draw">org.apache.poi.sl.draw</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.sl.draw">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                   title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a> in <a
                            href="../../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a> declared as <a
                                href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                    title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.html#CURRENT_SLIDE">CURRENT_SLIDE</a></span></code>
                                <div class="block">The Common SL Draw API works sometimes cascading, but there are
                                    places
                                    where the current slide context need to be evaluated, e.g.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                    title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.html#DRAW_FACTORY">DRAW_FACTORY</a></span></code>
                                <div class="block"><a href="../../../../../../org/apache/poi/sl/draw/DrawFactory.html"
                                                      title="class in org.apache.poi.sl.draw"><code>DrawFactory</code></a>
                                    which will be used to draw objects into this graphics context
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                    title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_FALLBACK">FONT_FALLBACK</a></span></code>
                                <div class="block">Key for a font fallback map of type
                                    <code>Map&lt;String,String&gt;</code> which maps
                                    the original font family (key) to the fallback font family (value).
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                    title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_HANDLER">FONT_HANDLER</a></span></code>
                                <div class="block">Use this object to resolve unknown / missing fonts when rendering
                                    slides.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                    title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_MAP">FONT_MAP</a></span></code>
                                <div class="block">Key for a font map of type <code>Map&lt;String,String&gt;</code>
                                    which maps
                                    the original font family (key) to the mapped font family (value)
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                    title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.html#GRADIENT_SHAPE">GRADIENT_SHAPE</a></span></code>
                                <div class="block">PathGradientPaint needs the shape to be set.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                    title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.html#GRESTORE">GRESTORE</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                    title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.html#GROUP_TRANSFORM">GROUP_TRANSFORM</a></span></code>
                                <div class="block">Key will be internally used to store affine transformation
                                    temporarily within group shapes
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                    title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.html#GSAVE">GSAVE</a></span></code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                    title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.html#IMAGE_RENDERER">IMAGE_RENDERER</a></span></code>
                                <div class="block">Use a custom image renderer of an instance of <a
                                        href="../../../../../../org/apache/poi/sl/draw/ImageRenderer.html"
                                        title="interface in org.apache.poi.sl.draw"><code>ImageRenderer</code></a></div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                    title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.html#PRESET_GEOMETRY_CACHE">PRESET_GEOMETRY_CACHE</a></span></code>
                                <div class="block">Internal key for caching the preset geometries</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                    title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Drawable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_RENDERING_MODE">TEXT_RENDERING_MODE</a></span></code>
                                <div class="block">how to render text:

                                    <a href="../../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_AS_CHARACTERS"><code>Drawable.TEXT_AS_CHARACTERS</code></a>
                                    (default) means to draw via
                                    <code>Graphics2D.drawString(java.text.AttributedCharacterIterator, float,
                                        float)</code>.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
               title="class in org.apache.poi.sl.draw">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/draw/class-use/Drawable.DrawableHint.html"
               target="_top">Frames</a></li>
        <li><a href="Drawable.DrawableHint.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
